delay1
Prev | Orchestra Opcodes and Operators | Next

## delay1

delay1 — Delays an input signal by one sample.

## Description

Delays an input signal by one sample.

## Syntax

    ares delay1 asig [, iskip]

## Initialization

iskip (optional, default=0) -- initial disposition of delay-loop data space (see reson). The default value is 0.

## Performance

delay1 is a special form of delay that serves to delay the audio signal asig by just one sample. It is thus functionally equivalent to the delay opcode but is more efficient in both time and space. This unit is particularly useful in the fabrication of generalized non-recursive filters.

## See Also

delay, delayr, delayw

Prev | Up | Next
delay | Home | delayk